---

- name: Reload systemd
  ansible.builtin.systemd:
    daemon_reload: yes
  when: >
    not (ansible_virtualization_type is defined and (ansible_virtualization_type == "docker"))

- name: Restart apache
  ansible.builtin.service: name={{ apache_svc }} state=restarted
  when: not (ansible_virtualization_type is defined and ansible_virtualization_type == "docker")

- name: Restart apache - docker
  ansible.builtin.shell: "{% if ansible_os_family == 'RedHat' %}pkill httpd; /usr/sbin/httpd{% else %}apache2ctl restart{% endif %}"
  when: (ansible_virtualization_type is defined and ansible_virtualization_type == "docker")

- name: Restart rsyslog
  ansible.builtin.service: name=rsyslog state=restarted

- name: Run ldconfig
  ansible.builtin.command: ldconfig

- name: Add public file to www dir to fulfill letsencrypt challenge
  ansible.builtin.copy:
    dest: "{{ hardenwebserver_rootdir }}/{{ le_challenge['challenge_data'][certificate_cn]['http-01']['resource'] }}"
    content: "{{ le_challenge['challenge_data'][certificate_cn]['http-01']['resource_value'] }}"
    mode: '0644'
